
TYPO3.Flow - Bug # 29895

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Command
Created: 2011-09-16 Assigned To: Karsten Dambekalns
Subject: "help <identifier>" command does not work any longer
Description

With the fix for #29792 the "help <identifier>" command stopped working. This is caused by the assumption of optional arguments
being usable when used unnamed. The mentioned fix make it required to use optional arguments in a named form (as intended), thus
this no longer works.

Associated revisions
Revision 320877b9 - 2011-09-16 12:10 - Karsten Dambekalns

[BUGFIX] Fix help command controller argument use

The command controller was intended to be used with the optional
command identifier without using that as a named option - but that
is a requirement. Thus we now use the first exceeding argument
if the option is not given.

Change-Id: I29751f17e78cc1415192e268fb78a469a1c21e63
Fixes: #29895

History
#1 - 2011-09-16 12:16 - Mr. Hudson
- Status changed from Accepted to Under Review

Patch set 1 of change I29751f17e78cc1415192e268fb78a469a1c21e63 has been pushed to the review server.
It is available at http://review.typo3.org/4995

#2 - 2011-09-18 13:36 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:320877b9db981e3bbc8b2908480240bfd6838edb.
